import { Controller, Get, Param, Put, Query, Res } from "@nestjs/common";
import { SearchService } from "src/core/services/common/search.service";
import { Response } from "express";

@Controller('papers')
export class PapersController {
    constructor(private searchService: SearchService) {}

    @Get('search')
    getByContext(@Query('query') query: string/*, @Query('page') page, @Query('limit') limit*/): object {
        return this.searchService.findByContext(query);
    }

    @Get(':id')
    getByID(@Param('id') id: string): object {
        if(!id) {
            //response.status(400).send({msg: "fff"});
        } else {
            return this.searchService.findByID(id);
        }
    }
}